---
layout: news_item
title: "ORC 1.7.1 Released"
date: "2021-11-07 03:00:00 -0800"
author: dongjoon
version: 1.7.1
categories: [release]
---

The ORC team is excited to announce the release of ORC v1.7.1.

{% assign releaseName = "1.7.1" %}
{% include release_description.md %}

The bug fixes of ORC 1.7:

- [ORC-879]({{site.jira}}/ORC-879) Flaky Test for TestJsonReader
- [ORC-1000]({{site.jira}}/ORC-1000) Use Java 17 in GitHub Action
- [ORC-1002]({{site.jira}}/ORC-1002) Add java17 profile for Java17 unit testing
- [ORC-1008]({{site.jira}}/ORC-1008) Overflow detection code is incorrect in IntegerColumnStatisticsImpl
- [ORC-1009]({{site.jira}}/ORC-1009) [C++] Missing string include causes build failure with MSVC++
- [ORC-1010]({{site.jira}}/ORC-1010) Bump tzdata from tzdata-2020e-1.tar.xz to tzdata-2021b-1.tar.xz
- [ORC-1011]({{site.jira}}/ORC-1011) Activate `java17` profile automatically
- [ORC-1015]({{site.jira}}/ORC-1015) Update OrcFile.WriterOptions::memory javadoc
- [ORC-1016]({{site.jira}}/ORC-1016) Use `openssl@1.1` in GitHub Action MacOS CIs
- [ORC-1024]({{site.jira}}/ORC-1024) BloomFilter hash computation is inconsistent between Java and C++ clients
- [ORC-1029]({{site.jira}}/ORC-1029) Could not load 'org.apache.orc.DataMask.Provider' when using orc encryption and spark executor with multi cores!
- [ORC-1030]({{site.jira}}/ORC-1030) Java Tools Recover File command does not accurately find OrcFile.MAGIC
- [ORC-1032]({{site.jira}}/ORC-1032) Bump parquet.version from 1.12.0 to 1.12.2
- [ORC-1034]({{site.jira}}/ORC-1034) The search byte array algorithm is incorrectly implemented in FileDump.java
- [ORC-1035]({{site.jira}}/ORC-1035) `backupDataPath` may be incorrect in recoverFile
- [ORC-1036]({{site.jira}}/ORC-1036) Due to tzdata upgrade, the fixed download links in CI are often not working
- [ORC-1037]({{site.jira}}/ORC-1037) Bump spark.version from 3.1.2 to 3.2.0
- [ORC-1039]({{site.jira}}/ORC-1039) Make FileDump.recoverFile handle side files only if they exist
- [ORC-1040]({{site.jira}}/ORC-1040) Add Debian 11 docker test
- [ORC-1042]({{site.jira}}/ORC-1042) Ignore unused-function C++ compile warning on CentOS 7
- [ORC-1043]({{site.jira}}/ORC-1043) Fix C++ conversion compilation error in CentOS 7

