---
layout: news_item
title: "ORC 1.7.5 Released"
date: "2022-06-16 03:00:00 -0800"
author: william
version: 1.7.5
categories: [release]
---

The ORC team is excited to announce the release of ORC v1.7.5.

{% assign releaseName = "1.7.5" %}
{% include release_description.md %}

The bug fixes:
- [ORC-1151]({{site.jira}}/ORC-1151) Fix ColumnWriter for non-UTC Timestamp columns
- [ORC-1160]({{site.jira}}/ORC-1160) Fix seekToRow can't seek within selected row group
- [ORC-1133]({{site.jira}}/ORC-1133) Fix csv-import tool options
- [ORC-1183]({{site.jira}}/ORC-1183) Upgrade gson to 2.9.0
- [ORC-1186]({{site.jira}}/ORC-1186) Limit `family` in `aarch64` profile
- [ORC-1188]({{site.jira}}/ORC-1188) Fix `ORC_PREFER_STATIC_ZLIB`

The improvements:
- [ORC-1198]({{site.jira}}/ORC-1198) Add a new `PhysicalFsWriter` constructor with `FSDataOutputStream` parameter
- [ORC-1199]({{site.jira}}/ORC-1199) Use Google mirror of Maven Central as the primary

The test changes:
- [ORC-1155]({{site.jira}}/ORC-1155) Add Ubuntu 22.04 to docker tests
- [ORC-1154]({{site.jira}}/ORC-1154) Bump hive.version from 3.1.2 to 3.1.3
- [ORC-1161]({{site.jira}}/ORC-1161) Add MacOS 12 and remove MacOS 10
- [ORC-1174]({{site.jira}}/ORC-1174) Add `Ubuntu 22.04` to GitHub Action
- [ORC-1182]({{site.jira}}/ORC-1182) Use `slf4j-simple` instead of deprecated `slf4j-log4j12`
- [ORC-1184]({{site.jira}}/ORC-1184) Use Hadoop 3.3.3 in benchmark module
- [ORC-1189]({{site.jira}}/ORC-1189) Update `README.md` and `help` command message in `benchmark` module and `.gitignore`
- [ORC-1190]({{site.jira}}/ORC-1190) Fix `ORCWriterBenchMark` `dumpDir` initialization
- [ORC-1191]({{site.jira}}/ORC-1191) Updated TLC Taxi Benchmark Dataset
- [ORC-1192]({{site.jira}}/ORC-1192) Use `orc.zstd` instead of `orc.none`
- [ORC-1196]({{site.jira}}/ORC-1196) Add Spark benchmark integration tests to GHA
- [ORC-1201]({{site.jira}}/ORC-1201) Remove `Debian 9` from Docker Tests

The documentation changes:
- Add ASF verification instruction link