---
layout: news_item
title: "ORC 1.7.6 Released"
date: "2022-08-17 03:00:00 -0800"
author: william
version: 1.7.6
categories: [release]
---

The ORC team is excited to announce the release of ORC v1.7.6.

{% assign releaseName = "1.7.6" %}
{% include release_description.md %}

The bug fixes:
- [ORC-1204]({{site.jira}}/ORC-1204) ORC MapReduce writer to flush when long arrays
- [ORC-1205]({{site.jira}}/ORC-1205) `nextVector` should invoke `ensureSize` when reusing vectors
- [ORC-1215]({{site.jira}}/ORC-1215) Remove a wrong `NotNull` annotation on `value` of `setAttribute`
- [ORC-1222]({{site.jira}}/ORC-1222) Upgrade `tools.hadoop.version` to 2.10.2
- [ORC-1227]({{site.jira}}/ORC-1227) Use `Constructor.newInstance` instead of `Class.newInstance`
- [ORC-1228]({{site.jira}}/ORC-1228) Fix `setAttribute` to handle null value

The test changes:
- [ORC-932]({{site.jira}}/ORC-932) Bump byte-buddy from 1.10.19 to 1.11.12 (#842)
- [ORC-1169]({{site.jira}}/ORC-1169) Use Hadoop to 3.3.2 on Java 17+ (#1113)
- [ORC-1178]({{site.jira}}/ORC-1178) Use Hadoop 3.3.3 on Java 17+ (#1129)
- [ORC-1193]({{site.jira}}/ORC-1193) Bump parquet.version to 1.12.3
- [ORC-1207]({{site.jira}}/ORC-1207) Upgrade Spark to 3.3.0
- [ORC-1210]({{site.jira}}/ORC-1210) Upgrade maven to 3.8.6
- [ORC-1234]({{site.jira}}/ORC-1234) Upgrade `objenesis` to 3.2 in Spark benchmark
- [ORC-1235]({{site.jira}}/ORC-1235) Bump avro.version to 1.11.1
- [ORC-1240]({{site.jira}}/ORC-1240) Update site README to use `apache/orc-dev` DockerHub image
- [ORC-1241]({{site.jira}}/ORC-1241) Use `apache/orc-dev` DockerHub repository in Docker tests
- [ORC-1244]({{site.jira}}/ORC-1244) Upgrade `byte-buddy` to 1.12.13 in branch-1.7
- [ORC-1245]({{site.jira}}/ORC-1245) Use Hadoop 3.3.4 on Java 17+ and benchmark

The documentation changes:
- MINOR: Update DOAP with new releases (#1127)
- [ORC-900]({{site.jira}}/ORC-900) Update `doap_orc.rdf` for Apache Projects page (#806)
- [ORC-1231]({{site.jira}}/ORC-1231) Update supported OS list in `building.md`
- [ORC-1237]({{site.jira}}/ORC-1237) Remove a wrong image link to `article-footer.png`
- [ORC-1238]({{site.jira}}/ORC-1238) Update DOAP with 1.7.5

The tasks:
- [ORC-1185]({{site.jira}}/ORC-1185) Add `merge_orc_pr.py`
- [ORC-1187]({{site.jira}}/ORC-1187) Use `main` instead of `master` in `merge_orc_pr.py`
- [ORC-1213]({{site.jira}}/ORC-1213) Use `https` in `ThirdpartyToolchain.cmake`
- [ORC-1226]({{site.jira}}/ORC-1226) Add a deprecation warning for Hadoop 2.7.2 and below