---
layout: news_item
title: "ORC 1.9.2 Released"
date: "2023-11-10 00:00:00 0000"
author: dongjoon
version: 1.9.2
categories: [release]
---

The ORC team is excited to announce the release of ORC v1.9.2.

{% assign releaseName = "1.9.2" %}
{% include release_description.md %}

The bug fixes:
- [ORC-1475]({{site.jira}}/ORC-1475) [C++] Fix the failure of UT when char is unsigned
- [ORC-1480]({{site.jira}}/ORC-1480) [C++] Fix build break w/ BUILD_CPP_ENABLE_METRICS=ON
- [ORC-1482]({{site.jira}}/ORC-1482) Adaptation to read ORC files created by CUDF
- [ORC-1489]({{site.jira}}/ORC-1489) Assign a writer id to CUDF
- [ORC-1525]({{site.jira}}/ORC-1525) Fix bad read in RleDecoderV2::readByte

The test changes:
- [ORC-1431]({{site.jira}}/ORC-1431) Use parquet to 1.13.1 in bench module
- [ORC-1454]({{site.jira}}/ORC-1454) Update Spark to 3.4.1
- [ORC-1487]({{site.jira}}/ORC-1487) Enable checkstyle on src/test with checkstyle-suppressions.xml
- [ORC-1498]({{site.jira}}/ORC-1498) Add Debian 12 Docker test
- [ORC-1502]({{site.jira}}/ORC-1502) Upgrade Maven to 3.9.4
- [ORC-1505]({{site.jira}}/ORC-1505) Upgrade Spark to 3.5.0
- [ORC-1511]({{site.jira}}/ORC-1511) Bump Avro to 1.11.3 in bench module
- [ORC-1513]({{site.jira}}/ORC-1513) Upgrade snappy-java to 1.1.10.4 in bench module
- [ORC-1517]({{site.jira}}/ORC-1517) Bump snappy-java to 1.1.10.5 in bench module

The tasks:
- [ORC-1497]({{site.jira}}/ORC-1497) Bump maven-enforcer-plugin to 3.4.0
- [ORC-1499]({{site.jira}}/ORC-1499) Add MacOS 13 and 14 to building.md
- [ORC-1507]({{site.jira}}/ORC-1507) Use Zulu JDK distribution and switch from 21-ea to 21
- [ORC-1518]({{site.jira}}/ORC-1518) Remove findbugs folders

Documentation:
- [ORC-1503]({{site.jira}}/ORC-1503) Updated README.md with Maven version 3.9.4
